$(document).ready(function() {
  var id = $('#id_local_estoque').val();
  var st = $('#tp_relat').val();

  if(id!="" && st!==""){
    // $('#id_local_estoque').prop( "readonly", true );

    $('#div_local').find('input').prop('readonly', true);
    // $('#div_local .radio-inline').prop('disabled', true);
    $('#div_local').find('a, span, button').prop('disabled', true);


    $('#validate_custom').attr('action', "erpc_inventario_ws.php");
    $('#div_produtos').show();

    // remove a validação do form pelo confirmar
    /*
    $('input[name*=btn-confirmar]').unbind("click");
    $('input[name*=btn-confirmar]').unbind("onClick");

    /*$("#btn-confirmar").click(function(){
      _getMensagemParametro();
      $("#dialog").dialog("open");
    })*/
  }

  $("#dialog").dialog({
    autoOpen: false,
    modal: true
  });

  $("#btn-sim").click(function(){
    if($('#validate_custom').validationEngine('validate')){
      $('#validate_custom').submit();
    }
  });

  $("#btn-close").click(function(){
    $("#dialog").dialog("close");
  })


  $("#btn-confirmar").click(function(){
    //  var p = $('#div_produtos').show();
    // alert("teste");
    var n_t_check = $('input:checkbox[name*=id_produto]');
    var n_s_check = $('input:checkbox[name*=id_produto]:checked');

    /*alert(n_t_check.length);
    alert(n_s_check.length);*/

    if(n_t_check.length==0){
      if($('#validate_custom').validationEngine('validate')){
        $('#validate_custom').submit();
      }
    }else{
      if (n_s_check.length==0) {
        alert("Você deve selecionar pelo menos um produto!");
      }else{
        // _getMensagemParametro();
        $("#dialog").dialog("open");
      }
    }
  });


  // $("#btn-confirmar").click(function(){
  function _getMensagemParametro(){
    // var p_status= $('input:checkbox[name*=id_status]').val();
    var p_status= $("#id_status:checked").val();
    var p_valor = 'P_MSG_BLOQ_IVENT';

    if(p_status==2){
      p_valor='P_MSG_DESBLOQ_IVENT';
    }

    alert("teste!");

    $.ajax({
      url:  "inc/consulta_parametro.php",
      type: "POST", //send it through get method
      data: {
            param: p_valor,
            resp: ''
          },
      success:function(result) {
        result = $.trim(result);
        // alert(result);
        $('#dialog span').text(result);
        // $("#dialog").dialog("open");
      }
    });
 }
    // });
}(jQuery));
